Get Account Transactions
curl --request GET \
--url https://api.sandbox.sudo.cards/accounts/{id}/transactions \
--header 'Authorization: <api-key>'import requests
url = "https://api.sandbox.sudo.cards/accounts/{id}/transactions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sandbox.sudo.cards/accounts/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Account transactions fetched successfully.",
"data": [
{
"_id": "6840c1aa2b3c4d5e6f700333",
"business": "670cec9d25852ba485d74273",
"customer": "64a1b2c3d4e5f6a7b8c9d0e1",
"card": "6418eb71a37e405064694518",
"account": "67974b365c184d20fc340889",
"authorization": "6840c1aa2b3c4d5e6f700222",
"type": "purchase",
"amount": 5000,
"fee": 0,
"vat": 0,
"currency": "NGN",
"merchantAmount": 5000,
"merchantCurrency": "NGN",
"status": "completed",
"transactionMetadata": {
"channel": "web",
"type": "purchase",
"reference": "TRX-250604-2156"
},
"createdAt": "2025-06-04T21:05:26.115Z",
"updatedAt": "2025-06-05T09:15:00.000Z",
"__v": 0
}
],
"pagination": {
"total": 8,
"pages": 1,
"page": 0,
"limit": 50
}
}{
"statusCode": 400,
"message": "Invalid account id.",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}Accounts
Get Account Transactions
Fetches all transactions of the specified account according to the query parameters.
GET
/
accounts
/
{id}
/
transactions
Get Account Transactions
Authorizations
Path Parameters
The _id of the account you wish to fetch the transactions for.
Query Parameters
Specifies the position the response data should begin from.
The number of transactions to fetch.
This is the start date of the date range.
This is the end date of the date range.
Response
Account transactions fetched successfully.
⌘I
